coqos_rel(1)

NAME
coqos_rel - Release Bandwidth Management

SYNOPSIS
coqos_rel [options] cid [device] [...]

DESCRIPTION
This page is under construction.

Instructs one or more devices to stop managing a stream. Use this program when bandwidth management is no longer needed or wanted. Use program coqos_mod to suspend and resume bandwidth management of a stream.

This program is part of the Qualcomm Atheros Powerline Toolkit. See the plc man page for an overview and installation instructions.

OPTIONS

-e  Redirects stderr messages to stdout. By convention status and error messages are printed on stderr while primary program output is printed on stdout. This option prints all output on stdout in cases where this is desired.

-i interface
    Select the host Ethernet interface. All requests are sent via this host interface and only reponses received via this host interface are recognized. The default interface is eth1 because most people use eth0 as their principle network connection; however, if environment string "PLC" is defined then it takes precedence over the default interface. This option then takes precedence over either default.

-q  Suppresses status messages on stderr.

-r  Display relative memory offsets on output. This option is the default.

-v  Prints additional information on stdout. In particular, this option dumps outgoing Ethernet packets on stdout.

-?,--help
    Displays program help information on stderr. This option takes precedence over all other options on the command line except version information.

-!,--version
    Displays program version information on stderr. This option takes precedence over all other options on the command line except help information. Use this option when sending screen dumps to Atheros technical staff.

ARGUMENTS

cid The connection identifier of the affected stream.

device
    The MAC address of some powerline device. More than one address may be specified on the command line. If more than one address is specified then operations are performed on each device in turn. The default address is "local". See DEVICES for more information.

DEVICES
Ethernet MAC addresses are expressed as six hexadecimal octets optionally separated by colon. For example, the Qualcomm Atheros Local Management Address (LMA) of "00b052000001" may also be entered as "00:b0:52:00:00:01" or "00b052:000001". Addresses are case insensitive and quotes are optional. In addition, some special addresses may be entered by name rather than number where names are case sensitive.

all A synonym for the "broadcast" address, described next.

broadcast
    A synonym for the Ethernet broadcast address, FF:FF:FF:FF:FF:FF. All devices, whether local, remote or foreign will respond to this address.

local
    A synonym for the Qualcomm Atheros vendor specific Local Management Address (LMA), 00:B0:52:00:00:01. All local Atheros devices recognize this address but remote and foreign devices do not. A remote device is any device at the far end of a powerline connection. A foreign device is any device not manufactured by Atheros.

REFERENCES
See the Qualcomm Atheros HomePlug AV Firmware Technical Reference Manual for more information.

DISCLAIMER
Atheros HomePlug AV Vendor Specific Management Message structure and content is proprietary to Qualcomm Atheros, Ocala FL USA. Consequently, public information may not be available. Qualcomm Atheros reserves the right to modify message structure and content in future firmware releases without any obligation to notify or compensate users of this program.

EXAMPLES
The next example instructs device 00:B0:52:BA:BE"01 to release stream 803. The stream will the remain unmanaged indefinitely.

   # coqos_rel 803 00:B0:52:BA:BE:01

SEE ALSO
coqos_add(1), coqos_info(1), coqos_man(1), coqos_mod(1)

CREDITS
 Bill Wike
 Nathaniel Houghton
 Charles Maier "